Package Details: lastpass-cli 1.1.2-3

Git Clone URL: https://aur-dev.archlinux.org/lastpass-cli.git (read-only)
Package Base: lastpass-cli
Description: LastPass command line interface tool
Upstream URL: https://lastpass.com/
Licenses: GPL2
Submitter: gabrielrcp
Maintainer: olantwin
Last Packager: olantwin
Votes: 30
Popularity: 1.555495
First Submitted: 2014-10-22 21:17
Last Updated: 2017-02-04 20:19

Latest Comments

olantwin commented on 2017-01-10 08:28

Hi Pancho,

Good catch, fixed now. I guess I (wrongly) assumed cmake was part of base-devel.

Cheers!

pancho commented on 2017-01-10 08:20

Hi!

It seems that cmake is missing from the makedepends array.

Thanks a bunch!

olantwin commented on 2016-01-28 23:13

Upstream has changed how it pins certificates (it pins keys now instead) to prepare a migration of certificates and future-proof the tool. For details see the new posts in the following issue:
https://github.com/lastpass/lastpass-cli/issues/88

The update to 0.8.1 should take care of this. If you experience any connection issues, let me know.

olantwin commented on 2015-04-15 14:02

Upstream fixed the issue, so the PKGBUILD is back to normal with 0.5.1-1. Let me know if there are any problems.

olantwin commented on 2015-04-14 08:56

For now I have updated the package with thermionix's fix, so it should work now.
However the solution is a bit hacky and should probably be fixed upstream (by using the correct cert there). When that's done I'll revert the change.

Thanks thermionix!

thermionix commented on 2015-04-14 06:23

I'm also getting "Peer certificate cannot be authenticated with given CA certificates"

adding
curl https://www.thawte.com/roots/thawte_Primary_Root_CA.pem | openssl x509 -outform PEM > thawte.pem

to the build() step before 'make' fixes it

thermionix commented on 2015-04-14 06:22

I'm also getting "Peer certificate cannot be authenticated with given CA certificates"

adding
`curl https://www.thawte.com/roots/thawte_Primary_Root_CA.pem | openssl x509 -outform PEM > thawte.pem`

to the build() step before `make` fixes it

2bluesc commented on 2015-04-14 04:10

@anoble seems related to https://github.com/lastpass/lastpass-cli/issues/88

anoble commented on 2015-04-14 03:38

I'm getting a "Peer certificate cannot be authenticated with given CA certificates" error when trying to log in. Googling doesn't turn up much but it seems like it's a CURL/CA cert issue. Anybody else have the same issue?

olantwin commented on 2015-03-13 16:51

@vendion: OK, hope that works. Feel free to contact me if you have any trouble.
The upstream releases are quite infrequent, so editing the PKGBUILD every release should hopefully not be to tedious, as a worst case.

All comments